Skip to main content
`Ctrl`+`K`

# generate_config

astropy.config.generate_config(pkgname='astropy', filename=None, verbose=False)

  Generates a configuration file, from the list of `ConfigItem` objects for each subpackage.

  Added in version 4.1.

  Parameters:
    pkgname `python:str` or `python:None`

      The package for which to retrieve the configuration object.

    filename `python:str` or python:file-like object or `python:None`

      If None, the default configuration path is taken from `get_config`.